function dYfuncvecdw = ODEfun(w,Yfuncvec); 
X = Yfuncvec(1); 
% Explicit equations
FTo = 50; 
k = 0.00087; 
KT = 1.038; 
KB = 1.39; 
alpha = 0.000098; 
Po = 40; 
PTo = 0.3 * Po; 
y = (1 - (alpha * w)) ^ 0.5; 
P = y * Po; 
PH2 = PTo * (1.5 - X) * y; 
PB = PTo * X * y; 
PT = PTo * (1 - X) * y; 
rt = 0 - (k * PT * PH2 / (1 + KB * PB + KT * PT)); 
RATE = 0 - rt; 
% Differential equation
dXdw = 0 - (rt / FTo); 
dYfuncvecdw = [dXdw]; 

